
function simple_google_map(latitude,longitude,level,message,streetview) {
	var fenway = new google.maps.LatLng(latitude,longitude);
	var mapOptions = {
		center: fenway,
		zoom: +level,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	var map = new google.maps.Map(
		document.getElementById("map_canvas"), mapOptions);
	var marker = new google.maps.Marker({
		position: fenway,
		title:message
	});
	marker.setMap(map);
	directionsDisplay = new google.maps.DirectionsRenderer();
	directionsDisplay.setMap(map);
	directionsDisplay.setPanel(document.getElementById("directionsPanel"));
	var infoWindow = new google.maps.InfoWindow({
		position: map.getCenter(),
		content: message
	});
	infoWindow.open(map);
	if(streetview==1)
	{
		var webService = new google.maps.StreetViewService();
		var checkaround = 50;
		function checkNearestStreetView(panoData){
			if(panoData){
				if(panoData.location){
					if(panoData.location.latLng){
						var panoramaOptions = {
							position: fenway,
							pov: {
								heading: 34,
								pitch: 10,
								zoom: 1
							}
						};
						var panorama = new  google.maps.StreetViewPanorama(document.getElementById("pano"),panoramaOptions);
						map.setStreetView(panorama);
					}
				}
			}else{
				document.getElementById("pano").style.display='none';
			}
		}
		webService.getPanoramaByLocation(fenway,checkaround ,checkNearestStreetView);
	}
	
}
function calcRoute(latitude,longitude,endpointCoords) // endpointCoords holds coordinates for end point
{
	
	var start = latitude+','+longitude;
	var end = endpointCoords;
	var request = {
		origin:start,
		destination:end,
		travelMode: google.maps.TravelMode.DRIVING
	};
	directionsService.route(request, function(response, status) {
		if (status == google.maps.DirectionsStatus.OK) {
			directionsDisplay.setDirections(response);
		}
	});
} 


